Mojo::Server::Morbo::Backend::Poll(3)

NAME
Mojo::Server::Morbo::Backend::Poll - Morbo default backend

SYNOPSIS
  use Mojo::Server::Morbo::Backend::Poll;

  my $backend = Mojo::Server::Morbo::Backend::Poll->new;
  if (my $files = $backend->modified_files) {
    ...
  }

DESCRIPTION
Mojo::Server::Morbo::Backend::Poll is the default backend for Mojo::Server::Morbo.

ATTRIBUTES
Mojo::Server::Morbo::Backend::Poll inherits all attributes from Mojo::Server::Morbo::Backend.

METHODS
Mojo::Server::Morbo::Backend::Poll inherits all methods from Mojo::Server::Morbo::Backend and implements the following new ones.

  modified_files
  my $files = $backend->modified_files;

Check file size and mtime to determine which files have changed, this is not particularly efficient, but very portable.

  # All files that have been modified
  say for @{$backend->modified_files};

SEE ALSO
Mojolicious, Mojolicious::Guides, <https://mojolicious.org>.